REM '****************************************************
REM '     -  
REM '****************************************************

REM ' ***************************************************
REM '      BASIC 
REM '****************************************************

REM '****************************************************
REM '              
REM '****************************************************
REM '       ****************************************
REM '       *                                      *
REM '       *                                      *
REM '       *                                      *
REM '       ****************************************
REM '            O      O      O      O      O      
REM '            <-    ->     ok     up     down 
REM '****************************************************
REM '        16     8      2      4      1  - USB 
REM '      16     1      4      8      2  - Device
REM '****************************************************
REM '   *** USB ***
#define   _up    EQU   4
#define   _down  EQU   1
#define   _left  EQU   16
#define   _right EQU   8
#define   _ok    EQU   2
REM ' timeout
#define   _to    EQU   0 
REM '   *** Device ***
REM '#define   _up    EQU   8
REM '#define   _down  EQU   2
REM '#define   _left  EQU   16
REM '#define   _right EQU   1
REM '#define   _ok    EQU   4
REM '#define   _to    EQU   0 
REM '****************************************************
[GM_Timeout]
[GM_Exit]
=GKEY{}:IF <>0 THEN GOTO +0
RETURN

[Global_MENU]
REM '****************************************************
REM '  MENU
REM '****************************************************

REM '    ,  
REM '   -  ,  - 
REM '   -    . 
[LEVEL_1_1]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_0
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_10],_down,[LEVEL_1_2],_ok,[SEL_1_1]
RETURN:REM GOTO [LEVEL_1_1]:REM '  

[LEVEL_1_2]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_1
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_1],_down,[LEVEL_1_3],_ok,[SEL_1_2]
RETURN:REM GOTO [LEVEL_1_2]:REM '  

[LEVEL_1_3]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_2
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_2],_down,[LEVEL_1_4],_ok,[SEL_1_3]
RETURN:REM GOTO [LEVEL_1_3]:REM '  


[LEVEL_1_4]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_3
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_3],_down,[LEVEL_1_5],_ok,[SEL_1_4]
RETURN:REM GOTO [LEVEL_1_4]:REM '  


[LEVEL_1_5]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_4
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_4],_down,[LEVEL_1_6],_ok,[SEL_1_5]
RETURN:REM GOTO [LEVEL_1_5]:REM '  

[LEVEL_1_6]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_5
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_5],_down,[LEVEL_1_7],_ok,[SEL_1_6]
RETURN:REM GOTO [LEVEL_1_6]:REM '  

[LEVEL_1_7]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_6
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_6],_down,[LEVEL_1_8],_ok,[SEL_1_7]
RETURN:REM GOTO [LEVEL_1_7]:REM '  

[LEVEL_1_8]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_7
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_7],_down,[LEVEL_1_9],_ok,[SEL_1_8]
RETURN:REM GOTO [LEVEL_1_8]:REM '  


[LEVEL_1_9]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT TXT_Group_8
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_8],_down,[LEVEL_1_10],_ok,[SEL_1_9]
RETURN:REM GOTO [LEVEL_1_9]:REM '  


[LEVEL_1_10]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT "            "
REM '  1  
AT 64:LPRINT "    "
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_1_9],_down,[LEVEL_1_1],_ok,[GM_Exit]
RETURN:REM GOTO [LEVEL_1_10]:REM '  



REM '****************************************************
REM '****************************************************






REM '****************************************************
REM '   ,   
[SEL_1_1]

REM '***     ****************************
CLS:AT 0:LPRINT ">TXT_pH"
REM  =1   (   )
REM  =3   (  )
REM  =140  
REM  =10   
REM  =0     EEPROM
REM '****************************************************
=1:=3:=MAX_pH:=MIN_pH:=EE_pH

GOSUB [Change_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_1_1]
REM '****************************************************

REM '****************************************************
[SEL_1_2]
CLS:AT 0:LPRINT ">TXT_d_pH"
=1:=2:=MAX_d_pH:=MIN_d_pH:=EE_d_pH

GOSUB [Change_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_1_2]
REM '****************************************************

REM '****************************************************
[SEL_1_3]
CLS:AT 0:LPRINT ">TXT_PumpWork"
=0:=2:=MAX_PumpWork:=MIN_PumpWork:=EE_PumpWork

GOSUB [Change_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_1_3]
REM '****************************************************

REM '****************************************************
[SEL_1_4]
CLS:AT 0:LPRINT ">TXT_PumpPause"
=0:=3:=MAX_PumpPause:=MIN_PumpPause:=EE_PumpPause

GOSUB [Change_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_1_4]
REM '****************************************************

REM '****************************************************
[SEL_1_6]
CLS:AT 0:LPRINT ">TXT_T"
=1:=3:=MAX_T:=MIN_T:=EE_T

GOSUB [Change_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_1_6]
REM '****************************************************


REM '****************************************************
[SEL_1_7]
CLS:AT 0:LPRINT ">TXT_d_T"
=1:=3:=MAX_d_T:=MIN_d_T:=EE_d_T

GOSUB [Change_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_1_7]
REM '****************************************************

REM '****************************************************
[SEL_1_8]
CLS:AT 0:LPRINT ">TXT_A_pH"
=0:=3:=MAX_addr:=MIN_addr:=EE_addrPH

GOSUB [Change_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
Var_addrPH=RDEE{EE_addrPH}:GOSUB [INIT_PH_1]
GOTO [LEVEL_1_8]
REM '****************************************************


REM '****************************************************
REM                - 1
REM '****************************************************
[SEL_1_9]


[SEL_1_9_1]
z=0
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT ">>.4"
[SEL_1_9_1a]
z=z+1:IF z>50 THEN GOTO [GM_Timeout]
AT 64:LPRINT "          "
GOSUB [Read_PH]
PAUSE 500
AT 64:LPRINT %3,.1,"pH=",Var_Real_pH,"T=",Var_Real_T,"OK>Go   "
=KEY{TimeOut_1}:BEEP 15,2
CASE ,_up,[SEL_1_9_4],_down,[SEL_1_9_2],_ok,[SEL_1_9_1go]
GOTO [SEL_1_9_1a]

[SEL_1_9_1go]
AT 64:LPRINT "      "
Var_addrPH=RDEE{EE_addrPH}
#(1000)=Var_addrPH
SPRINT $(1000),"CL6"
PAUSE 100:SGET #(700):PAUSE 5000
GOTO [SEL_1_9_1]


[SEL_1_9_2]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT ">>.7"
[SEL_1_9_2a]
z=z+1:IF z>50 THEN GOTO [GM_Timeout]
AT 64:LPRINT "          "
GOSUB [Read_PH]
PAUSE 500
AT 64:LPRINT %3,.1,"pH=",Var_Real_pH,"T=",Var_Real_T,"OK>Go   "
=KEY{TimeOut_1}:BEEP 15,2
CASE ,_up,[SEL_1_9_1],_down,[SEL_1_9_3],_ok,[SEL_1_9_2go]
GOTO [SEL_1_9_2a]




[SEL_1_9_2go]
AT 64:LPRINT "      "
Var_addrPH=RDEE{EE_addrPH}
#(1000)=Var_addrPH
SPRINT $(1000),"CL4"
PAUSE 100:SGET #(700):PAUSE 5000
GOTO [SEL_1_9_2]




[SEL_1_9_3]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT ">> ."
[SEL_1_9_3a]
z=z+1:IF z>50 THEN GOTO [GM_Timeout]
AT 64:LPRINT "          "
GOSUB [Read_PH]
PAUSE 500
AT 64:LPRINT %3,.1,"pH=",Var_Real_pH,"T=",Var_Real_T,"OK>Go   "
=KEY{TimeOut_1}:BEEP 15,2
CASE ,_up,[SEL_1_9_2],_down,[SEL_1_9_4],_ok,[SEL_1_9_3go]
GOTO [SEL_1_9_3a]





[SEL_1_9_3go]
AT 64:LPRINT "      "
Var_addrPH=RDEE{EE_addrPH}
#(1000)=Var_addrPH
SPRINT $(1000),"CL3"
PAUSE 100:SGET #(700):PAUSE 5000
GOTO [SEL_1_9_3]



[SEL_1_9_4]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT ">> "
=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[SEL_1_9_3],_down,[SEL_1_9_1],_ok,[LEVEL_1_9]
RETURN:REM GOTO [SEL_1_9_4]:REM '  




REM '****************************************************
REM                - 2
REM '****************************************************
[SEL_1_5]

[LEVEL_2_1]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT ">>"

AT 64:LPRINT "   TXT_Pump1     "

=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_2_3],_down,[LEVEL_2_2],_ok,[SEL_2_1]
RETURN:REM GOTO [LEVEL_1_1]:REM '  


[LEVEL_2_2]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT ">>"

AT 64:LPRINT "   TXT_Pump2     "

=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_2_1],_down,[LEVEL_2_3],_ok,[SEL_2_2]
RETURN:REM GOTO [LEVEL_1_1]:REM '  


[LEVEL_2_3]
=GKEY{}:IF <>0 THEN GOTO +0
REM ' 
CLS:AT 0:LPRINT ">> "

=KEY{TimeOut}:BEEP 15,2
CASE ,_to,[GM_Timeout],_up,[LEVEL_2_2],_down,[LEVEL_2_1],_ok,[SEL_2_3]
RETURN:REM GOTO [LEVEL_1_1]:REM '  


REM '*********************************
[SEL_2_1]
CLS:AT 0:LPRINT ">>TXT_Pump1"
REM  =140  
REM  =10   
REM  =0     EEPROM
=2:=0:=EE_Pump1_mode
GOSUB [SEL_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_2_1]
REM '*********************************


REM '*********************************
[SEL_2_2]
CLS:AT 0:LPRINT ">>TXT_Pump2"
=2:=0:=EE_Pump2_mode
GOSUB [SEL_PARAM_EE]
IF =0 THEN GOTO [GM_Timeout]
GOTO [LEVEL_2_2]
REM '*********************************




[SEL_2_3]
GOTO [LEVEL_1_5]
REM '****************************************************












