REM '****************************************************
REM '     Menu  MENU.BAS
REM '    VER 4.0
REM '****************************************************

REM ' ***************************************************
REM '      BASIC 
REM '****************************************************

REM '****************************************************
REM '           DEMO template 
REM '****************************************************

REM ' ***************************************************
REM '       .
REM '****************************************************
0000
[RESET]
CLR:NOERR 1:GOTO [START]
REM 'CLR:GOTO [START]

REM '   
0001
CLR:LINIT 1:LPRINT "RESTART":PAUSE 1000:NOERR 1

REM ' IF DEBUG need STOP, ELSE - rem
STOP

GOTO [START]
REM '****************************************************



REM '****************************************************
REM '   
REM '****************************************************
#include DEFINE.BAS
#include MENU_LEVEL1_V5.BAS
#include CHANGE_PARAM_V5.BAS
#include SEL_PARAM_V5.BAS
#include PH_module_I_O.BAS
REM '****************************************************
REM '  
REM '****************************************************
REM  '1.    (1.0 - 14.0)
REM  '2.   (0.0 - 3.0)
REM  '3.   (0-60)
REM  '4.   (0-360)
REM  '5.  1 (0-, 1-, 2-)
REM  '6.  2 (0-, 1-, 2-)

REM '****************************************************
REM '              Start DEMO system
REM '****************************************************
[START]
LINIT 1:BEEP 15,2:UART 1,5
LPRINT "Menu DEMO":AT 64:LPRINT "V5.0 Start"
PAUSE 5000

REM ' LOAD data
GOSUB [LoadData]
GOSUB [TestValidData]




GOSUB [INIT_PH]
PAUSE 2000
CLS:LPRINT "Device work"
PAUSE 2000


REM '****************************************************
REM '****************************************************
[MAIN]

z=z+1:IF z>200 THEN z=0

IF z=100 THEN GOSUB [Read_PH]

IF z>100 THEN GOTO [Ekran_2]

[Ekran_1]
REM '   
AT 0:LPRINT %3,.1,"TXT1_pH=",Var_pH
LPRINT %2,.1," +/-",Var_d_pH,"   "
AT 64:LPRINT %0,.0,Var_PumpWork,"/",Var_PumpPause
IF Var_Pump1_mode=0 THEN LPRINT "TXT_0","/"
IF Var_Pump1_mode=1 THEN LPRINT "TXT_1","/"
IF Var_Pump1_mode=2 THEN LPRINT "TXT_2","/"
IF Var_Pump2_mode=0 THEN LPRINT "TXT_0"
IF Var_Pump2_mode=1 THEN LPRINT "TXT_1"
IF Var_Pump2_mode=2 THEN LPRINT "TXT_2"
GOTO [END_Ekran]

[Ekran_2]
REM '   _2
AT 0:LPRINT %3,.1,"TXT1_T=",Var_T
LPRINT %2,.1," +/-",Var_d_T,"   "

AT 64:LPRINT %2,.0,"A:",Var_addrPH,"pH"
LPRINT %3,.1,Var_Real_pH,"T:",Var_Real_T

GOTO [END_Ekran]

[END_Ekran]

REM '        
REM '         
REM '  ,   '0',   
GOSUB [MENU]

GOTO [MAIN]
REM '****************************************************
REM '****************************************************



REM '****************************************************
[INIT_DEVICE]
REM '   ,    
REM '     
CLS
RETURN

REM '****************************************************
[LoadData]
Var_pH=RDEE{EE_pH}
Var_d_pH=RDEE{EE_d_pH}
Var_PumpWork=RDEE{EE_PumpWork}
Var_PumpPause=RDEE{EE_PumpPause}
Var_Pump1_mode=RDEE{EE_Pump1_mode}
Var_Pump2_mode=RDEE{EE_Pump2_mode}

Var_T=RDEE{EE_T}
Var_d_T=RDEE{EE_d_T}
Var_addrPH=RDEE{EE_addrPH}
RETURN


[SaveData]
WREE Var_pH,EE_pH
WREE Var_d_pH,EE_d_pH
WREE Var_PumpWork,EE_PumpWork
WREE Var_PumpPause,EE_PumpPause
WREE Var_Pump1_mode,EE_Pump1_mode
WREE Var_Pump2_mode,EE_Pump2_mode

WREE Var_T,EE_T
WREE Var_d_T,EE_d_T
WREE Var_addrPH,EE_addrPH
RETURN

REM '****************************************************
REM '      1    
REM '****************************************************
[TestValidData]
IF Var_pH>MAX_pH THEN GOTO [SetDefault]
IF Var_pH<MIN_pH THEN GOTO [SetDefault]

IF Var_d_pH>MAX_d_pH THEN GOTO [SetDefault]
IF Var_d_pH<MIN_d_pH THEN GOTO [SetDefault]

IF Var_PumpWork>MAX_PumpWork THEN GOTO [SetDefault]
IF Var_PumpWork<MIN_PumpWork THEN GOTO [SetDefault]

IF Var_PumpPause>MAX_PumpPause THEN GOTO [SetDefault]
IF Var_PumpPause<MIN_PumpPause THEN GOTO [SetDefault]

IF Var_Pump1_mode>MAX_ModePump THEN GOTO [SetDefault]
IF Var_Pump1_mode<MIN_ModePump THEN GOTO [SetDefault]

IF Var_Pump2_mode>MAX_ModePump THEN GOTO [SetDefault]
IF Var_Pump2_mode<MIN_ModePump THEN GOTO [SetDefault]


IF Var_T>MAX_T THEN GOTO [SetDefault]
IF Var_T<MIN_T THEN GOTO [SetDefault]

IF Var_d_T>MAX_d_T THEN GOTO [SetDefault]
IF Var_d_T<MIN_d_T THEN GOTO [SetDefault]

IF Var_addrPH>MAX_addr THEN GOTO [SetDefault]
IF Var_addrPH<MIN_addr THEN GOTO [SetDefault]


RETURN
[SetDefault]
Var_pH=70:Var_d_pH=10:Var_PumpWork=10
Var_PumpPause=150:Var_Pump1_mode=1:Var_Pump2_mode=2
Var_d_T=10:Var_T=200:Var_addrPH=48
GOSUB [SaveData]
RETURN


REM '****************************************************
REM '              END DEMO system
REM '****************************************************


REM '$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


REM '****************************************************
REM '            File -  MENU.BAS
REM '****************************************************
REM '****************************************************
REM '     Menu  MENU.BAS
REM '    VER 4.0
REM '****************************************************

REM ' ***************************************************
REM '      BASIC 
REM '****************************************************



REM '****************************************************
REM '      
REM '    OK  ,    
REM '   
REM '****************************************************
[MENU]
REM '     ?
=GKEY{}:IF =0 THEN RETURN
REM '   
BEEP 15,2:CLS:LPRINT "   -OK "
PAUSE 100:=KEY{2}:BEEP 15,2:IF =_ok THEN GOTO [MENU_START]
=GKEY{}:IF <>0 THEN GOTO +0
RETURN

[MENU_START]
REM '    
BEEP 15,2:GOSUB [INIT_DEVICE]
REM '   
GOSUB [Global_MENU]
REM ' LOAD UPDATE data
GOSUB [LoadData]
RETURN
REM '****************************************************
