REM '*****************************************************
REM '     ,  
REM ' FOR use  - ADD   #include SEL_PARAM_V4.BAS
REM '*****************************************************
REM '    EEPROM     
REM '       
REM ' ***************************************************

REM ' ***************************************************
REM '      BASIC 
REM '****************************************************

REM '  

REM ' = 
REM ' =  
REM ' =    EEPROM 

REM '    0  

REM '   +3
REM '    
REM    
REM       EEPROM 	
REM     
REM    

REM  ' sample
REM  =140  
REM  =10   
REM  =0     EEPROM
REM  GOSUB [Change_PARAM]

REM  '    2 , 
REM  '#define TimeOut EQU  10

REM '****************************************************
REM '              
REM '****************************************************
REM '       ****************************************
REM '       *                                      *
REM '       *                                      *
REM '       *                                      *
REM '       ****************************************
REM '            O      O      O      O      O      
REM '            <-    ->     ok     up     down 
REM '****************************************************
REM '        16     8      2      4      1  - USB 
REM '      16     1      4      8      2  - Device
REM '****************************************************
REM '   *** USB ***
REM '#define   _up    EQU   4
REM '#define   _down  EQU   1
REM '#define   _left  EQU   16
REM '#define   _right EQU   8
REM '#define   _ok    EQU   2
REM '#define   _to    EQU   0 
REM '   *** Device ***
REM '#define   _up    EQU   8
REM '#define   _down  EQU   2
REM '#define   _left  EQU   16
REM '#define   _right EQU   1
REM '#define   _ok    EQU   4
REM '#define   _to    EQU   0 
REM '****************************************************

REM '*****************************************************
[SEL_PARAM_EE]
+:=RDEE{}

[SL_1_1]
=GKEY{}:IF <>0 THEN GOTO +0:REM '  
GOTO [SL_SEL_1_1]

AT 64:LPRINT "        " 
=KEY{TimeOut}:BEEP 15,2
IF =0 THEN -:-:-:-:=0:GOTO [SL_Exit]
+:CASE ,_up,[SL_1_3],_down,[SL_1_2],_ok,[SL_SEL_1_1],_left,[SL_1_3],_right,[SL_1_2]
GOTO [SL_Exit_Timeout]

[SL_1_2]
=GKEY{}:IF <>0 THEN GOTO +0:REM '  
AT 64:LPRINT "  "
=KEY{TimeOut}:BEEP 15,2
IF =0 THEN -:-:-:-:=0:GOTO [SL_Exit]
+:CASE ,_up,[SL_1_1],_down,[SL_1_3],_ok,[SL_SEL_1_2],_left,[SL_1_1],_right,[SL_1_3]
GOTO [SL_Exit_Timeout]

[SL_1_3]
=GKEY{}:IF <>0 THEN GOTO +0:REM '  
AT 64:LPRINT ", " 
=KEY{TimeOut}:BEEP 15,2
IF =0 THEN -:-:-:-:=0:GOTO [SL_Exit]
+:CASE ,_up,[SL_1_2],_down,[SL_1_1],_ok,[SL_SEL_1_3],_left,[SL_1_2],_right,[SL_1_1]
GOTO [SL_Exit_Timeout]

[SL_SEL_1_1]
IF > THEN =
IF < THEN =
REM '  
=GKEY{}:IF <>0 THEN GOTO +0

IF =0 THEN AT 64:LPRINT "   TXT_0       "
IF =1 THEN AT 64:LPRINT "   TXT_1       "
IF =2 THEN AT 64:LPRINT "   TXT_2       "

=KEY{TimeOut}:BEEP 15,2
CASE ,_ok,[SL_1_2],_up,[INC_SL],_down,[DEC_SL],_left,[dec_SL],_right,[inc_SL]
GOTO [SL_Exit_Timeout]
REM '   
[inc_SL]
=+1:GOTO [SL_SEL_1_1]
[dec_SL]
=-1:GOTO [SL_SEL_1_1]
[INC_SL]
=+1:GOTO [SL_SEL_1_1]
[DEC_SL]
=-1:GOTO [SL_SEL_1_1]

[SL_SEL_1_2]
=GKEY{}:IF <>0 THEN GOTO +0
-:-:-:-:=1:GOTO [SL_Exit]
[SL_SEL_1_3]
=GKEY{}:IF <>0 THEN GOTO +0
WREE ,:-:-:-:-:=1:GOTO [SL_Exit]

REM '*****************************************************
[SL_Exit_Timeout]
=GKEY{}:IF <>0 THEN GOTO +0
-:-:-:-:=0
[SL_Exit]
=GKEY{}:IF <>0 THEN GOTO +0
RETURN
